Name:          maven-scm-provider-svnjava
Version:       2.1.1
Release:       1%{?dist}
Summary:       Maven SCM Subversion Provider
License:       ASL 2.0
URL:           https://github.com/olamy/maven-scm-provider-svnjava
Source0:       https://github.com/olamy/maven-scm-provider-svnjava/archive/%{name}-%{version}.tar.gz
# https://github.com/olamy/maven-scm-provider-svnjava/issues/16
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(net.java.dev.jna:jna)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.scm:maven-scm-provider-svn-commons)
BuildRequires: mvn(org.apache.maven.scm:maven-scm-provider-svntest)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
%if %{?fedora} > 20
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif
BuildRequires: mvn(org.tmatesoft.svnkit:svnkit)

BuildArch:     noarch

%description
Implementation of Maven SCM for Subversion using SVNKit.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp -p %{SOURCE1} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

# org.apache.maven.scm.ScmException: svn: E175002: unknown host
rm -r src/test/java/org/apache/maven/scm/provider/svn/svnjava/command/info/SvnJavaInfoCommandTest.java \
 src/test/java/org/apache/maven/scm/provider/svn/svnjava/command/list/SvnJavaListCommandTest.java \
 src/test/java/org/apache/maven/scm/provider/svn/svnjava/command/remoteinfo/SvnJavaRemoteInfoCommandTest.java \
 src/test/java/org/apache/maven/scm/provider/svn/svnjava/repository/SvnScmProviderRepositoryTest.java \
 

%mvn_file com.google.code.%{name}:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri May 22 2015 gil cattaneo <puntogil@libero.it> 2.1.1-1
- initial rpm
